
#pragma once
#include "Scenegraph/GameScene.h"

class ShaderTestScene : public GameScene
{
public:
	ShaderTestScene(void);
	virtual ~ShaderTestScene(void);

protected:

	virtual void Initialize(const GameContext& gameContext);
	virtual void Update(const GameContext& gameContext);
	virtual void Draw(const GameContext& gameContext);

private:
	// -------------------------
	// Disabling default copy constructor and default 
	// assignment operator.
	// -------------------------
	ShaderTestScene(const ShaderTestScene &obj);
	ShaderTestScene& operator=(const ShaderTestScene& obj);
};